%define upstream_name    IO-Socket-Timeout
%define upstream_version 0.32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    IO::Socket with read/write timeout
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(PerlIO::via::Timeout)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TCP)
BuildArch: noarch

%description
'IO::Socket' provides a way to set a timeout on the socket, but the timeout
will be used only for connection, not for reading / writing operations.

This module provides a way to set a timeout on read / write operations on
an 'IO::Socket' instance, or any 'IO::Socket::*' modules, like
'IO::Socket::INET'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.320.0-4pclos2017
- rebuild against updates

